bootstrapCor {maigesPack} | R Documentation

## Calculate bootstrap p-values for correlation measures

### Description

This function takes a numerical matrix (or two vectors) and calculates bootstrapped (by permutation) p-values to test if the correlation value is equal to zero. If the first argument is a matrix, the p-values are calculated between all pairs of rows of the matrix.

### Usage

    bootstrapCor(x, y=NULL, bRep, type="Rpearson", ret="p-value",
                 alternative="two.sided")

### Arguments

`x` | numerical matrix or vector to be analysed. If a vector, the argument `y` must be informed.
`y` | numerical vector. Must be informed if `x` is a vector. If `x` is a matrix, this argument is ignored. Defaults to NULL.
`bRep` | number of permutation to be done in the test.
`type` | character string specifying the type of correlation statistic to be used. Possible values are 'Rpearson', 'pearson', 'spearman' or 'kendall'.
`ret` | character string with the value to return. Must be 'p-value' (default) for the usual p-value or 'max', to return the maximum absolute correlation value obtained by the permutation.
`alternative` | character specifying the type of test to do, must be 'two.sided' (default), 'less' or 'greater'.

### Details

Pearson, spearman and kendall types of correlation values are calculated by `cor` function from package stats. The method Rpearson was developed in this package and is a generalisation of the jackniffe correlation proposed by Heyer et al. (1999), it is calculated using the function `robustCorr`.

### Value

The result of this function is a square matrix (length equal to the number of rows of `x`) if `x` is a matrix or a numerical value if `x` and `y` are vectors. The result is the p-values or maximum correlation values calculated by permutation tests.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### References

Heyer, L.J.; Kruglyak, S. and Yooseph, S. Exploring expression data: identification and analysis of coexpressed genes, Genome Research, 9, 1106-1115, 1999 (http://www.genome.org/cgi/content/full/9/11/1106)

### See Also

`cor`, `robustCorr`

### Examples

    x <- runif(50, 0, 1)
    y <- rbeta(50, 1, 2)
    bootstrapCor(x, y, bRep=100)

    z <- matrix(rnorm(100, 0, 1), 4, 25)
    bootstrapCor(z, bRep=100)

[Package maigesPack version 1.4.0 Index]